<div class="btnContainer">
  <a class="button" routerLink="/square">На главную</a>
</div>
<div class="inputIdContainer">
  <input [(ngModel)]="someNumber" type="number" placeholder="Введите число" class="idInput" (focus)="setInFocus()"
         (blur)="setOutFocus()">
  <input type="button" class="showBtn" value="Посчитать" (click)="createTable()">
</div>
<table class="fieldTable">
  <tr *ngFor="let row of tableArray | sortPipe: sortDirection: column; let index1 = index">
    <td *ngFor="let value of row; let index2 = index">
      <ng-template [ngIf]="index1 == 0 && index2 > 0">
        <div class="innerDiv" sortDirection="unSorted" [attr.column]="index2 - 1" (click)="sort($event)">
          {{value}}
        </div>
      </ng-template>
      <ng-template [ngIf]="index1 != 0 && index2 != 0">
        <div class="innerDiv">
          {{value | myPipe: valueRange.lower: valueRange.upper}}
        </div>
      </ng-template>
      <ng-template [ngIf]="index2 == 0">
        <div class="innerDiv">
          {{value}}
        </div>
      </ng-template>
    </td>
  </tr>
</table>
<igx-slider *ngIf="isBegan" [type]="sliderType.RANGE" [minValue]="minValue" [maxValue]="maxValue" [(ngModel)]="valueRange"></igx-slider>
